Package twisted :: Package sister :: Module sisterserv :: Class SisterMotherClient

[show private | hide private]
[frames | no frames]

## Class SisterMotherClient

    Jellyable --+
                |
     Serializable --+
                    |
        Referenceable --+
                        |
                       SisterMotherClient

Method Summary
| `__init__(self, sistersrv)`
| `getStateFor(self, jellier)` (inherited from `Jellyable`)
| ``jellyFor`(self, jellier)` (internal) (inherited from `Referenceable`)
| ``processUniqueID`(self)` Return an ID which uniquely represents this object for this process. (inherited from `Serializable`)
| ``remote_callDistributed`(self, srcResourceType, srcResourceName, destResourceType, destResourceName, methodName, args, kw)` invoked to call a method on a distributed object.
| `remote_loadResource(self, resourceType, resourceName, *args)`
| ``remoteMessageReceived`(self, broker, message, args, kw)` A remote message has been received. (inherited from `Referenceable`)

Method Details

### remote_callDistributed(self, srcResourceType, srcResourceName, destResourceType, destResourceName, methodName, args, kw)

invoked to call a method on a distributed object.

Generated by Epydoc 1.1 on Sat Feb 15 21:18:12 2003 | http://epydoc.sf.net